Suno Lyrics
curl --request POST \
--url https://api.acedata.cloud/suno/lyrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "default",
"prompt": "A song about winter"
}
'import requests
url = "https://api.acedata.cloud/suno/lyrics"
payload = {
"model": "default",
"prompt": "A song about winter"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'default', prompt: 'A song about winter'})
};
fetch('https://api.acedata.cloud/suno/lyrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "2e26f7ff-0b82-4a60-bb9b-78db89f98b51",
"data": [
{
"text": "[Verse]\nSnowflakes falling from the sky\nWinter's cold touch\nOh how it gets me high\nI bundle up in layers\nOh so cozy\nStepping out and feeling the frost on my nose\n\n[Chorus]\nOh\nWinter's cold touch\nIt's a season that I love so much\nSnowfall brings a feeling so divine\nWinter's cold touch\nIt's a magical time",
"title": "Winter's Cold Touch",
"status": "complete",
"tags": [
"dreamy, mellow, ballad"
]
},
{
"text": "[Verse]\nThe world is covered in a blanket of white\nIcicles hanging\nShimmering so bright\nThe chilly air fills my lungs with every breath\nWalking in the snow\nLeaving footprints behind\n\n[Chorus]\nWinter wonderland\nEverything is so bright\nWinter wonderland\nHold me through the night",
"title": "Winter Wonderland",
"status": "complete",
"tags": [
"dream pop, mellow, shoegaze"
]
}
],
"started_at": "2026-06-05T18:29:39.150Z",
"finished_at": "2026-06-05T18:29:46.583Z",
"elapsed": 7.433
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}API Reference
Suno Lyrics
POST
/
suno
/
lyrics
Suno Lyrics
curl --request POST \
--url https://api.acedata.cloud/suno/lyrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "default",
"prompt": "A song about winter"
}
'import requests
url = "https://api.acedata.cloud/suno/lyrics"
payload = {
"model": "default",
"prompt": "A song about winter"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'default', prompt: 'A song about winter'})
};
fetch('https://api.acedata.cloud/suno/lyrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"task_id": "2e26f7ff-0b82-4a60-bb9b-78db89f98b51",
"data": [
{
"text": "[Verse]\nSnowflakes falling from the sky\nWinter's cold touch\nOh how it gets me high\nI bundle up in layers\nOh so cozy\nStepping out and feeling the frost on my nose\n\n[Chorus]\nOh\nWinter's cold touch\nIt's a season that I love so much\nSnowfall brings a feeling so divine\nWinter's cold touch\nIt's a magical time",
"title": "Winter's Cold Touch",
"status": "complete",
"tags": [
"dreamy, mellow, ballad"
]
},
{
"text": "[Verse]\nThe world is covered in a blanket of white\nIcicles hanging\nShimmering so bright\nThe chilly air fills my lungs with every breath\nWalking in the snow\nLeaving footprints behind\n\n[Chorus]\nWinter wonderland\nEverything is so bright\nWinter wonderland\nHold me through the night",
"title": "Winter Wonderland",
"status": "complete",
"tags": [
"dream pop, mellow, shoegaze"
]
}
],
"started_at": "2026-06-05T18:29:39.150Z",
"finished_at": "2026-06-05T18:29:46.583Z",
"elapsed": 7.433
}{
"error": {
"code": "token_mismatched",
"message": "The specified token is not matched with API."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "invalid_token",
"message": "The specified token is invalid or wrong."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "used_up",
"message": "Your balance is not sufficient for current request, please buy more in Ace Data Cloud."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "no_api",
"message": "API does not exist, please make sure url is correct."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "too_many_requests",
"message": "You have exceeded the rate limit."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}{
"error": {
"code": "api_error",
"message": "Internal server error."
},
"trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}承認
API token from https://platform.acedata.cloud
ヘッダー
Suno Lyrics Param Accept
利用可能なオプション:
application/json ボディ
application/json
レスポンス
Suno Lyrics Response 200
Suno Lyrics Response 200 Success
Suno Lyrics Response 200 Task Id
Suno Lyrics Response 200 Data
Show child attributes
Show child attributes
Suno Lyrics Response 200 Started At
Suno Lyrics Response 200 Finished At
Suno Lyrics Response 200 Elapsed
⌘I

